package cn.muchinfo.rma.view.base.app

import cn.muchinfo.rma.netManage.base.IBaseResponse


/**
 *   @auther : lbl
 *    接收http接口的实体基类
 */
data class BaseResult<T>(
    val page : Int,
    val pagesize : Int,
    val total : Int,
    val msg: String,
    val code: Int,
    val data: T
) : IBaseResponse<T> {

    override fun code() = code

    override fun msg() = msg

    override fun data() = data

    override fun isSuccess() = code == 0

    override fun page() = page

    override fun pagesize() = pagesize

    override fun total() = total

}